# get mainboard manufacturer
function get_baseboard_manufacturer {
	[ "`is_disabled $FUNCNAME`" == "1" ] && return
	case `get_system_type` in
		xen-dom0|baremetal)
			BMANUF=`${DMIDECODE} -s baseboard-manufacturer`
		;;
		*)
			BMANUF=""
		;;
	esac
	debug "BASEBOARD-MANUFACTURER: ${BMANUF}"
	echo ${BMANUF}
}

# get mainboard product name
function get_baseboard_productname {
	[ "`is_disabled $FUNCNAME`" == "1" ] && return
	case `get_system_type` in
		xen-dom0|baremetal)
			BPROD=`${DMIDECODE} -s baseboard-product-name`
		;;
		*)
			BPROD=""
		;;
	esac
	debug "BASEBOARD-PRODUCT-NAME: ${BPROD}"
	echo ${BPROD}
}
